GET
/api/v2/referrals/programs/{programId}/membersGET /api/v2/referrals/programs/{programId}/members
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| programId (path) | string (uuid) | Yes |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| UserId | unknown | Yes | |
| Name | string | Yes | |
| string | Yes | ||
| Status | string | Yes | |
| AssignedAt | string (date-time) | Yes | |
| ExpiresAt | string (date-time) | Yes | |
| AgreementReference | string | No | |
| EffectiveFrom | string (date-time) | No | |
| EffectiveUntil | string (date-time) | No | |
| CampaignOwnerUserId | unknown | No | |
| Channels | array of string | No | |
| FundingAllocation | unknown | No | |
| Notes | string | No | |
| ApprovedByUserId | unknown | No | |
| ApprovedAt | string (date-time) | No |
Example request
curl -X GET "https://{base_url}/api/v2/referrals/programs/{programId}/members" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.